Package org.italiangrid.voms.ac

# Interface ACLookupListener

All Known Implementing Classes:
  `NullListener`

public interface ACLookupListener
This interface is used to notify of events related to the lookup and succesfull parsing of VOMS attribute certificates from a certificate chain.

Author:
  andreaceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyACLookupEvent(X509Certificate[] chain, int chainLevel)`
Informs that an AC is being looked for in the cert chain passed as argument.
`void`
`notifyACParseEvent(X509Certificate[] chain, int chainLevel)`
Informs that an AC has been succesfully parsed from the cert chain passed as argument

## Method Details

### notifyACLookupEvent

void notifyACLookupEvent(X509Certificate[] chain, int chainLevel)
Informs that an AC is being looked for in the cert chain passed as argument.

Parameters:
  `chain` - the chain where the AC is looked for
  `chainLevel` - the level in the chain where the AC is being looked for

### notifyACParseEvent

void notifyACParseEvent(X509Certificate[] chain, int chainLevel)
Informs that an AC has been succesfully parsed from the cert chain passed as argument

Parameters:
  `chain` - the chain from which the AC has been parsed
  `chainLevel` - the level in the chain where the AC has been parsed